org.apache.olingo.odata2.api.processor.part

## Interface EntityProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntityProcessor
      extends ODataProcessor

  Execute a OData entity request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `deleteEntity(DeleteUriInfo uriInfo, String contentType)` Deletes an entity.
    `ODataResponse` | `existsEntity(GetEntityCountUriInfo uriInfo, String contentType)` Checks whether an entity exists.
    `ODataResponse` | `readEntity(GetEntityUriInfo uriInfo, String contentType)` Reads an entity.
    `ODataResponse` | `updateEntity(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, boolean merge, String contentType)` Updates an entity.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntity

          ODataResponse readEntity(GetEntityUriInfo uriInfo,
                                   String contentType)
                            throws ODataException

      Reads an entity.
      Parameters:
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### existsEntity

          ODataResponse existsEntity(GetEntityCountUriInfo uriInfo,
                                     String contentType)
                              throws ODataException

      Checks whether an entity exists.
      Parameters:
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntity

          ODataResponse updateEntity(PutMergePatchUriInfo uriInfo,
                                     InputStream content,
                                     String requestContentType,
                                     boolean merge,
                                     String contentType)
                              throws ODataException

      Updates an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the updated entity data
        `requestContentType` - the content type of the request body
        `merge` - if `true`, properties not present in the data are left unchanged; if `false`, they are reset
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### deleteEntity

          ODataResponse deleteEntity(DeleteUriInfo uriInfo,
                                     String contentType)
                              throws ODataException

      Deletes an entity.
      Parameters:
        `uriInfo` - a `DeleteUriInfo` object with information from the URI parser
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.